<Graph isModule="1" moduleName="EI_DoorFrame_DoorPanel_FGM" Description="" Group="entityinterface" enabled="1" MultiPlayer="ClientServer">
  <ModuleInputsOutputs>
    <Port Name="HostEntity" Type="EntityId" Input="1" />
    <Port Name="Debug" Type="Bool" Input="1" />
  </ModuleInputsOutputs>
  <Nodes>
    <Node Id="1" Class="Module:Start_EI_DoorFrame_DoorPanel_FGM" pos="80,10,0" flags="0" />
    <Node Id="2" Class="Module:End_EI_DoorFrame_DoorPanel_FGM" pos="90,-50,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="1424" Class="InteractionSystem:IsInteractionActivated" pos="850,70,0" flags="0">
      <Inputs entityId="0" InteractionName="OpenDoor" InteractorIdFilter="0" />
    </Node>
    <Node Id="1426" Class="Movement:MoveEntityTo" pos="1330,380,0" flags="0">
      <Inputs entityId="0" Destination="0,0,0" DestinationEntity="0" DynamicUpdate="1" ValueType="1" Speed="1" EaseDistance="0" EaseOutDistance="0" CoordSys="1" />
    </Node>
    <Node Id="1428" Class="Entity:GetPos" pos="720,360,0" flags="0">
      <Inputs entityId="0" CoordSys="1" />
    </Node>
    <Node Id="1430" Class="Vec3:ScaleVec3" pos="1010,530,0" flags="0">
      <Inputs vector="0,0,0" scale="-1.5" />
    </Node>
    <Node Id="1432" Class="Vec3:AddVec3" pos="1140,470,0" flags="0">
      <Inputs A="0,0,0" B="0,0,0" />
    </Node>
    <Node Id="1433" Class="Movement:MoveEntityTo" pos="1900,440,0" flags="0">
      <Inputs entityId="0" Destination="0,0,0" DestinationEntity="0" DynamicUpdate="1" ValueType="1" Speed="1" EaseDistance="0" EaseOutDistance="0" CoordSys="1" />
    </Node>
    <Node Id="1437" Class="Entity:ValidEntityId" pos="484.86353,133.82645,0" flags="0">
      <Inputs Entity="0" />
    </Node>
    <Node Id="1438" Name="Door" Class="_comment" pos="520,110,0" flags="0" />
    <Node Id="1440" Class="Module:Call_EntityLog" pos="1630,70,0" flags="0">
      <Inputs Instanced="1" InstanceID="-1" HostEntity="0" text="OpenDoor" label="" DisplayDuration="3" />
    </Node>
    <Node Id="1443" Class="component:InteractionStateMachine" pos="710,-400,0" flags="0">
      <Inputs entityId="0" />
    </Node>
    <Node Id="1445" Class="InteractionSystem:ActivateInteraction" pos="1550,690,0" flags="0">
      <Inputs entityId="0" InteractorId="0" InteractionName="Set_DoorOpening" InteractionPointName="" />
    </Node>
    <Node Id="1446" Class="InteractionSystem:ActivateInteraction" pos="1550,830,0" flags="0">
      <Inputs entityId="0" InteractorId="0" InteractionName="Set_DoorOpened" InteractionPointName="" />
    </Node>
    <Node Id="1447" Class="InteractionSystem:ActivateInteraction" pos="2178.5112,591.76093,0" flags="0">
      <Inputs entityId="0" InteractorId="0" InteractionName="Set_DoorClosing" InteractionPointName="" />
    </Node>
    <Node Id="1448" Class="InteractionSystem:ActivateInteraction" pos="2168.5112,711.76093,0" flags="0">
      <Inputs entityId="0" InteractorId="0" InteractionName="Set_DoorClosed" InteractionPointName="" />
    </Node>
    <Node Id="1449" Class="InteractionSystem:IsInteractionActivated" pos="900.61951,839.0387,0" flags="0">
      <Inputs entityId="0" InteractionName="CloseDoor" InteractorIdFilter="0" />
    </Node>
    <Node Id="1451" Class="Entity:RenderParams" pos="990,1140,0" flags="0">
      <Inputs entityId="0" Opacity="1" />
    </Node>
    <Node Id="1453" Class="ItemPort:GetCurrentAttachment" pos="270,1030,0" flags="0">
      <Inputs entityId="0" iItemPort_Port="art" />
    </Node>
    <Node Id="1455" Class="Math:SetNumber" pos="620,1240,0" flags="0">
      <Inputs in="0" />
    </Node>
    <Node Id="1457" Class="Time:Delay" pos="420,1180,0" flags="0">
      <Inputs delay="5" resetOnInput="0" />
    </Node>
    <Node Id="1459" Class="Module:Call_EntityLog" pos="901.22913,1269.3783,0" flags="0">
      <Inputs Instanced="1" InstanceID="-1" HostEntity="0" text="hiding" label="" DisplayDuration="2" />
    </Node>
    <Node Id="1461" Class="Logic:Any" pos="770,1040,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="1462" Class="Math:SetNumber" pos="590,1040,0" flags="0">
      <Inputs in="1" />
    </Node>
    <Node Id="1464" Class="String:Compare" pos="1040,-520,0" flags="0">
      <Inputs A="" B="DoorLockState" IgnoreCase="1" />
    </Node>
    <Node Id="1465" Class="String:Compare" pos="1070,-360,0" flags="0">
      <Inputs A="" B="DoorUnlocked" IgnoreCase="1" />
    </Node>
    <Node Id="1467" Class="Math:BooleanTo" pos="340.69394,-323.13242,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="1469" Class="Math:BooleanTo" pos="1370,-340,0" flags="0">
      <Inputs />
    </Node>
    <Node Id="1470" Class="String:Compare" pos="1091.1572,-258.74008,0" flags="0">
      <Inputs A="" B="DoorLocked" IgnoreCase="1" />
    </Node>
    <Node Id="1472" Class="Logic:Condition" pos="1290,90,0" flags="0">
      <Inputs Condition="0" />
    </Node>
    <Node Id="1473" Name="door_locked?" Class="_comment" pos="1320,60,0" flags="0" />
  </Nodes>
  <Edges>
    <Edge nodeIn="1437" nodeOut="1" portIn="Check" portOut="HostEntity" enabled="1" />
    <Edge nodeIn="1437" nodeOut="1" portIn="Entity" portOut="HostEntity" enabled="1" />
    <Edge nodeIn="1472" nodeOut="1424" portIn="In" portOut="Activated" enabled="1" />
    <Edge nodeIn="1445" nodeOut="1426" portIn="Activate" portOut="Start" enabled="1" />
    <Edge nodeIn="1446" nodeOut="1426" portIn="Activate" portOut="DoneTrigger" enabled="1" />
    <Edge nodeIn="1430" nodeOut="1428" portIn="vector" portOut="RightDir" enabled="1" />
    <Edge nodeIn="1432" nodeOut="1428" portIn="A" portOut="Pos" enabled="1" />
    <Edge nodeIn="1433" nodeOut="1428" portIn="Destination" portOut="Pos" enabled="1" />
    <Edge nodeIn="1432" nodeOut="1430" portIn="B" portOut="out" enabled="1" />
    <Edge nodeIn="1426" nodeOut="1432" portIn="Destination" portOut="out" enabled="1" />
    <Edge nodeIn="1447" nodeOut="1433" portIn="Activate" portOut="Start" enabled="1" />
    <Edge nodeIn="1448" nodeOut="1433" portIn="Activate" portOut="DoneTrigger" enabled="1" />
    <Edge nodeIn="1424" nodeOut="1437" portIn="Enable" portOut="isValid" enabled="1" />
    <Edge nodeIn="1424" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1426" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1428" nodeOut="1437" portIn="Get" portOut="isValid" enabled="1" />
    <Edge nodeIn="1428" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1433" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1440" nodeOut="1437" portIn="HostEntity" portOut="isValid" enabled="1" />
    <Edge nodeIn="1443" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1445" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1446" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1447" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1448" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1449" nodeOut="1437" portIn="Enable" portOut="isValid" enabled="1" />
    <Edge nodeIn="1449" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1453" nodeOut="1437" portIn="Get" portOut="isValid" enabled="1" />
    <Edge nodeIn="1453" nodeOut="1437" portIn="entityId" portOut="isValid" enabled="1" />
    <Edge nodeIn="1464" nodeOut="1443" portIn="A" portOut="OnEnterState_StateTypeName" enabled="1" />
    <Edge nodeIn="1464" nodeOut="1443" portIn="Compare" portOut="OnEnterState_StateTypeName" enabled="1" />
    <Edge nodeIn="1465" nodeOut="1443" portIn="A" portOut="OnEnterState_StateName" enabled="1" />
    <Edge nodeIn="1470" nodeOut="1443" portIn="A" portOut="OnEnterState_StateName" enabled="1" />
    <Edge nodeIn="1433" nodeOut="1449" portIn="Start" portOut="Activated" enabled="1" />
    <Edge nodeIn="1451" nodeOut="1453" portIn="entityId" portOut="CurrEntity" enabled="1" />
    <Edge nodeIn="1457" nodeOut="1453" portIn="in" portOut="CurrEntity" enabled="1" />
    <Edge nodeIn="1459" nodeOut="1453" portIn="HostEntity" portOut="CurrEntity" enabled="1" />
    <Edge nodeIn="1462" nodeOut="1453" portIn="set" portOut="CurrEntity" enabled="1" />
    <Edge nodeIn="1461" nodeOut="1455" portIn="in2" portOut="out" enabled="1" />
    <Edge nodeIn="1455" nodeOut="1457" portIn="set" portOut="out" enabled="1" />
    <Edge nodeIn="1461" nodeOut="1462" portIn="in1" portOut="out" enabled="1" />
    <Edge nodeIn="1465" nodeOut="1464" portIn="Compare" portOut="True" enabled="1" />
    <Edge nodeIn="1469" nodeOut="1465" portIn="false" portOut="True" enabled="1" />
    <Edge nodeIn="1470" nodeOut="1465" portIn="Compare" portOut="False" enabled="1" />
    <Edge nodeIn="1472" nodeOut="1469" portIn="Condition" portOut="out" enabled="1" />
    <Edge nodeIn="1469" nodeOut="1470" portIn="true" portOut="True" enabled="1" />
    <Edge nodeIn="1426" nodeOut="1472" portIn="Start" portOut="OnFalse" enabled="1" />
  </Edges>
  <GraphTokens />
</Graph>